/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#if __has_include(<bridge.h>)
#  include <bridge.h>
#endif
#if __has_include(<settings.h>)
#  include <settings.h>
#endif


#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif
Q_QMLTYPE_EXPORT void qml_register_types_org_kde_hana()
{
    QT_WARNING_PUSH QT_WARNING_DISABLE_DEPRECATED
    qmlRegisterTypesAndRevisions<Bridge>("org.kde.hana", 1);
    qmlRegisterTypesAndRevisions<HanaSettings>("org.kde.hana", 1);
    QMetaType::fromType<KConfigSkeleton *>().id();
    QMetaType::fromType<KCoreConfigSkeleton *>().id();
    qmlRegisterEnum<KCoreConfigSkeleton::DisambiguateConstructor>("KCoreConfigSkeleton::DisambiguateConstructor");
    QT_WARNING_POP
    qmlRegisterModule("org.kde.hana", 1, 0);
}

static const QQmlModuleRegistration orgkdehanaRegistration("org.kde.hana", qml_register_types_org_kde_hana);
